#!/bin/bash

echo "Solving Rostering instance $1..."

TOTAL=0

TIME1=`date +%s`
echo "Grounding..."
php rostering.php $1 > $1.cnf
TIME2=`date +%s`
DIFF=$(($TIME2-$TIME1))
echo "$DIFF seconds needed";
TOTAL=$(($TOTAL+$DIFF))

echo "Solving..." 
zchaff $1.cnf > $1.out.txt
TIME3=`date +%s`
DIFF=$(($TIME3-$TIME2))
TOTAL=$(($TOTAL+$DIFF))
echo "$DIFF seconds needed";

echo "Retrieving solution..." 
cat $1.out.txt | php zchaff2Rostering.php $1.cnf
TIME4=`date +%s`
DIFF=$(($TIME4-$TIME2))
TOTAL=$(($TOTAL+$DIFF))
echo "$DIFF seconds needed";

echo ""
echo "**************************************************"
echo "****** $TOTAL seconds needed for the whole process"
echo ""
echo " - CNF in $1.cnf,  zchaff output in $1.out.txt"