This is zchaff2Rostering

<?php
    $dimacs = $argv[1];
	if ($dimacs == "") {
		echo("c Syntax: php ".$argv[0]." <dimacs instance>\nzChaff output read from stdin");
		exit;
	};

	$file = fopen($dimacs, "r") or die("Unable to open dimacs file");
	
	$dictionary = NULL; // Will be an array: dimacsVar --> "e,s" (works(e,s)==t)
	// Need to get dictionary only for 'works(empl,slot)' variables.
	
	while(!feof($file)) {
		  $line =  trim(fgets($file));
		  //echo("checking line $line\n");
		  if ($line === "c START DICTIONARY") break;
	}
	if (feof($file)) die("Could not find dictionary");
	
	// found START DICTIONARY LINE
	while(!feof($file)) {
		  $line =  trim(fgets($file));
		  if ($line == "c END DICTIONARY") break;
		  // line of the form: "c varname(param1,...,paramn) = $dimacsVar"
		  list($left, $right) = split("=", $line);
		  $left = trim($left);
		  $right = trim($right);
		  $matches = NULL;
		  //echo("LEFT: $left\n");
		  // c works($e,$s) = $dimacsVar
		  if (strstr($left, "c works(")) { // Skip all families of variables except works() 
			  preg_match("/([^(]*)\(([^(]*)\)/", $left, $matches);
			  $varList = $matches[2];
			  $dictionary[$right] = $varList;
		  }
	}
	//print_r($dictionary);
	fclose($file);
		
	$file = fopen("php://stdin", "r");	
	
	
	$SCHEDULE == NULL; // 2D-matrix:  SCHEDULE[s,e] = true if works(e,s), unset otherwise
	
	while(!feof($file)) {
		  $line =  trim(fgets($file));		  
		  if ($line === "Instance Satisfiable") break;		  
	}
	if (feof($file)) die("Could not find model\n");
	
	// next line is the model found
	$line = trim(fgets($file));
	$model = split(" ", $line);
	

	foreach($model as $l) {
		if (!is_numeric($l)) continue;	
		if ($l < 0) continue;

		$varList = $dictionary[$l];
		if ($varList === NULL) {
			// It is not a "works()" variable. Skipped.
			continue;
		}
		$vars = split(",", $varList);
		//echo("$varList --> e=". $vars[0] . ", s=" . $vars[1] ."\n");
		echo("works(e=".$vars[0].", s=".$vars[1].")\n");
			
		$SCHEDULE[$vars[1]][$vars[0]] = true;
	}
	echo("\n");
	
	echo("Solution: which employees are assigned to each slot?\n");
	foreach(array_keys($SCHEDULE) as $s) {
		echo("Slot $s: ");
		foreach(array_keys($SCHEDULE[$s]) as $e) {
			if ($SCHEDULE[$s][$e]) echo($e." ");
		}
		echo("\n");
	}
	
	
?>
	
	
	
	